Function
begin
The begin of a container.
Iterator begin(object [, tag])
Include Headers
seqan/sequence.h
Parameters

object | A container. Types: Container: ModifiedString, String AlignCols, char array, Finder, FrequencyDistribution, Gaps, Index, Map, MaxRepeats Iterator, SeedSet, SeedSet, Segment, Segment, std::basic_string, std::list, std::vector, StringSet
tag | An iterator spec tag that specifies the kind of the iterator returned. (optional) Default: Given by DefaultGetIteratorSpec.

Remarks
If the container does not contain any items at all, the function may return 0.
Return Values
An iterator to the first item in object.
Metafunctions: Iterator
Example Programs
Iterator Basics
Part of Concept
Container
See Also
sourceBegin, beginPosition, end, goBegin, Iterator, clippedBeginPosition, atBegin, setBegin, front, difference, setBeginPosition
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46